anacondaのデフォルトインストールではmpl_toolkitは入っているのですが、basemapまでは入っていないのでWindows10(64bit)/Python3.6でインストールできるか確認。

050601

Anaconda Navigatorからパッケージを検索するとパッケージは存在するのですが、インストールでエラーが発生し、インストール完了できません。

matplotlibのbasemap installationではgithubのmatplotlib/basemapからダウンロードしてインストールと書かれてますが、Unofficial Windows Binaries for Python Extension Packagesにwhlがありましたのでこちらを利用してみます。

最新版はbasemap-1.1.0でした。pythonバージョンとアーキテクチャに合わせて
  • basemap‑1.1.0‑cp36‑cp36m‑win_amd64.whl
をダウンロード。

whlを指定してpython -m pip でインストールをかけたところエラー終了。
(C:\Anaconda3) c:\Anaconda3>python -m pip install basemap-1.1.0-cp36-cp36m-win_amd64.whl
Processing c:\basemap-1.1.0-cp36-cp36m-win_amd64.whl
Requirement already satisfied: matplotlib>=1.0.0 in c:\anaconda3\lib\site-packages (from basemap==1.1.0)
Collecting pyproj>=1.9.3 (from basemap==1.1.0)
  Downloading pyproj-1.9.5.1.tar.gz (4.4MB)
    100% |████████████████████████████████| 4.4MB 133kB/s
Exception:
Traceback (most recent call last):
  File "C:\Anaconda3\lib\site-packages\pip\compat\__init__.py", line 73, in console_to_str
    return s.decode(sys.__stdout__.encoding)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0x82 in position 45: invalid start byte

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Anaconda3\lib\site-packages\pip\basecommand.py", line 215, in main
    status = self.run(options, args)
  File "C:\Anaconda3\lib\site-packages\pip\commands\install.py", line 335, in run
    wb.build(autobuilding=True)
  File "C:\Anaconda3\lib\site-packages\pip\wheel.py", line 749, in build
    self.requirement_set.prepare_files(self.finder)
  File "C:\Anaconda3\lib\site-packages\pip\req\req_set.py", line 380, in prepare_files
    ignore_dependencies=self.ignore_dependencies))
  File "C:\Anaconda3\lib\site-packages\pip\req\req_set.py", line 634, in _prepare_file
    abstract_dist.prep_for_dist()
  File "C:\Anaconda3\lib\site-packages\pip\req\req_set.py", line 129, in prep_for_dist
    self.req_to_install.run_egg_info()
  File "C:\Anaconda3\lib\site-packages\pip\req\req_install.py", line 439, in run_egg_info
    command_desc='python setup.py egg_info')
  File "C:\Anaconda3\lib\site-packages\pip\utils\__init__.py", line 676, in call_subprocess
    line = console_to_str(proc.stdout.readline())
  File "C:\Anaconda3\lib\site-packages\pip\compat\__init__.py", line 75, in console_to_str
    return s.decode('utf_8')
UnicodeDecodeError: 'utf-8' codec can't decode byte 0x82 in position 45: invalid start byte


(C:\Anaconda3) c:\Anaconda3>

時間のある時にこの辺りを追ってみる必要があるかな。
  File "C:\Anaconda3\lib\site-packages\pip\compat\__init__.py", line 75, in console_to_str
    return s.decode('utf_8')